'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');
var useWallet = require('./useWallet.js');

/**
 * 根据 abi 和 address 创建合约对象
 * @returns
 */
function useContract(abi, address) {
    var cpchain = useWallet.useWallet().cpchain;
    var _a = react.useState(), contract = _a[0], setContract = _a[1];
    react.useEffect(function () {
        try {
            JSON.parse(abi);
            setContract(cpchain.contract(abi, address));
        }
        catch (error) {
            console.error('Invalidated abi');
        }
    }, [abi, address]);
    return contract;
}

exports.useContract = useContract;
