'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');
var useTxResult = require('./useTxResult.js');
var useWallet = require('./useWallet.js');

/**
 *
 * @returns
 */
function useOwner(contract) {
    var push = useTxResult.useTxResult().push;
    var _a = useWallet.useWallet(), account = _a.account, cpchain = _a.cpchain;
    /**
     * 是否是合约 owner
     */
    var _b = react.useState(false), isOwner = _b[0], setIsOwner = _b[1];
    /**
     * 转移 ownership
     * @param newOwner
     */
    var transferOwnership = function (newOwner) {
        if (isOwner && contract) {
            contract
                .call("transferOwnership", newOwner)
                .submit()
                .then(function (res) {
                push(res);
            });
        }
    };
    /**
     * 放弃 ownership
     */
    var renounceOwnership = function () { };
    react.useEffect(function () {
        if ((account === null || account === void 0 ? void 0 : account.address) && contract) {
            contract
                .call("owner")
                .view()
                .then(function (res) {
                setIsOwner(res[0] === (account === null || account === void 0 ? void 0 : account.address));
            })
                .catch(function (err) {
                console.error(err);
                setIsOwner(false);
            });
        }
        else {
            setIsOwner(false);
        }
    }, [contract, account === null || account === void 0 ? void 0 : account.address]);
    return {
        isOwner: isOwner,
        cpchain: cpchain,
        transferOwnership: transferOwnership,
        renounceOwnership: renounceOwnership,
    };
}

exports.useOwner = useOwner;
