'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_es6 = require('./node_modules/tslib/tslib.es6.js');
var react = require('react');
var recoil = require('recoil');

var txResult = recoil.atom({
    key: "cpchain-foundation-tx-result",
    default: [],
});
/**
 * 记录 submit 交易的 hooks
 */
function useTxResult(category) {
    if (category === void 0) { category = ""; }
    var _a = recoil.useRecoilState(txResult), list = _a[0], setList = _a[1];
    var push = function (tx) {
        var _l = tslib_es6.__spreadArray(tslib_es6.__spreadArray([], list, true), [tx], false);
        setList(_l);
        localStorage.setItem("cpchain-foundation-tx-result:" + category, JSON.stringify(_l));
    };
    react.useEffect(function () {
        var s = localStorage.getItem("cpchain-foundation-tx-result:" + category);
        if (s) {
            setList(JSON.parse(s));
        }
    }, [category]);
    return { list: list, push: push };
}

exports.useTxResult = useTxResult;
